## pangomm2.48 2.56.1

=== meson_options.txt ===
option('maintainer-mode', type: 'combo', choices: ['false', 'if-git-build', 'true'],
  value: 'if-git-build', description: 'Generate source code from .hg and .ccg files')
option('warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'], value: 'min',
  description: 'Compiler warning level')
option('dist-warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'], value: 'fatal',
  description: 'Compiler warning level when a tarball is created')
option('build-deprecated-api', type: 'boolean', value: true,
  description: 'Build deprecated API and include it in the library')
option('build-documentation', type: 'combo', choices: ['false', 'if-maintainer-mode', 'true'],
  value: 'if-maintainer-mode', description: 'Build and install the documentation')
option('msvc14x-parallel-installable', type: 'boolean', value: true,
  description: 'Use separate DLL and LIB filenames for Visual Studio 2017 and 2019')

## pangomm2.48 2.50.1

=== debian/changelog ===
pangomm2.48 (2.50.1-2) unstable; urgency=medium

  * Fix Vcs fields (Closes: #1021155)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 03 Oct 2022 08:49:08 -0400

pangomm2.48 (2.50.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.55.0
  * debian/libpangomm-2.48-1.docs: README -> README.md

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 01 Oct 2022 14:12:14 -0400

pangomm2.48 (2.50.0-1) unstable; urgency=medium

  * New upstream series intended for use with gtkmm 4 (Closes: #1018974)
  * Rename binary packages for new ABI series
  * Update Build-Depends

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 16:43:16 -0400

pangomm (2.46.2-2) unstable; urgency=medium

  * debian/watch: Watch for 2.46.x releases.
    pangomm2.48 is a new ABI series for gtkmm 4
    and will be packaged separately
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Sep 2022 16:48:29 -0400

pangomm (2.46.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libxml-parser-perl
  * debian/rules: Enable maintainer mode. Required because we want to
    ensure we build the docs from source.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 09:45:48 -0500

pangomm (2.46.1-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * Bump debhelper-compat to 13
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/rules: Rely on dh12's default dh_makeshlibs handling
    instead of trying to update the version number manually

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 16:21:28 -0400

pangomm (2.42.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Drop obsolete dh_strip dbgsym migration rule
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 11 Apr 2020 20:15:57 -0400

pangomm (2.42.0-2) unstable; urgency=medium

  * Bump SHVER to 2.42.0
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 10:02:49 -0500

pangomm (2.42.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump minimum libpango1.0-dev to 1.41.0
  * debian/copyright: Add pre-generated docs to Files-Excluded
  * Build-Depend on doxygen, graphviz & xsltproc to build docs
  * libpangomm-1.4-doc: Don't depend on lynx | www-browser
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 22 Nov 2018 21:26:42 -0500

pangomm (2.40.1-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

  [ Michael Biebl ]
  * Remove Michael Casadevall <sonicmctails@gmail.com> from Uploaders. He is
    not active anymore. (Closes: #841467)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 19:44:56 -0500

pangomm (2.40.1-3) unstable; urgency=medium

  * Don't compress doxygen tag files.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 02:36:03 +0200

pangomm (2.40.1-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 10. This ensures we actually run
    autoreconf during build.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Sep 2016 01:29:30 +0200

pangomm (2.40.1-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Aug 2016 19:12:16 +0200

pangomm (2.40.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libglibmm-2.4-dev to (>= 2.48.0).
  * Drop libpangomm-1.4-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libpangomm-1.4-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration. Bump Build-Depends on debhelper
    accordingly.
  * Bump Standards-Version to 3.9.8.
  * Fix typo in doc-base file.
  * Bump SHVER to 2.40.0.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 20:03:54 +0200

pangomm (2.38.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libcairomm-1.0-dev to (>= 1.12.0).
    - Bump libglibmm-2.4-dev to (>= 2.46.1).
    - Bump libpango1.0-dev to (>= 1.38.0).
    - Bump mm-common to (>= 0.9.8).
  * Bump SHVER to 2.38.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 15:42:02 +0200

pangomm (2.36.0-2) unstable; urgency=medium

  * Team upload.
  * Rename library package to libpangomm-1.4-1v5 for libstdc++ ABI
    transition. Based on changes made in Ubuntu by Sebastien Bacher.
    - Bump Build-Depends on glibmm and cairomm to g++-5-built versions

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Aug 2015 22:04:57 +0100

pangomm (2.36.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on cdbs for multiarch support.
  * Bump required version of libpango1.0-dev (>= 1.36.0).
  * Bump SHVER to 2.36.0.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 11 May 2015 02:44:00 +0200

pangomm (2.34.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf to fix FTBFS on ppc64el. Closes: #752179

 -- Andreas Barth <aba@ayous.org>  Thu, 28 Aug 2014 18:22:55 +0000

pangomm (2.34.0-1) unstable; urgency=low

  * New upstream release.
  * Bump required version of libglibmm-2.4-dev to (>= 2.36.0).
  * Drop obsolete DM-Upload-Allowed field.
  * Update Vcs-* URLs.
  * Update debian/copyright, use final copyright-format 1.0 spec.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Add Build-Depends on autotools-dev as lintian was complaining about
    outdated config.{guess,sub}.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pangomm2.48
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               doxygen,
               graphviz,
               libcairomm-1.16-dev,
               libglibmm-2.68-dev,
               libpango1.0-dev (>= 1.49.4),
               libxml-parser-perl,
               meson (>= 0.55.0),
               mm-common (>= 0.9.8),
               xsltproc
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/pangomm2.48
Vcs-Git: https://salsa.debian.org/gnome-team/pangomm2.48.git
Homepage: http://gtkmm.org

Package: libpangomm-2.48-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ Wrapper for pango (shared libraries)
 Pangomm is a C++ wrapper for the pango library. Originally part of
 gtkmm, pangomm provides convenient C++ interfaces for handling both
 the layout and internationalization of text in graphical applications.
 .
 This package contains the shared library.

Package: libpangomm-2.48-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpangomm-2.48-1 (= ${binary:Version}),
         libcairomm-1.16-dev,
         libglibmm-2.68-dev,
         libpango1.0-dev (>= 1.49.4)
Description: C++ Wrapper for pango (development files)
 Pangomm is a C++ wrapper for the pango library. Originally part of
 gtkmm, pangomm provides convenient C++ interfaces for handling both
 the layout and internationalization of text in graphical applications.
 .
 This package contains the development files.

Package: libpangomm-2.48-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends},
         doc-base
Suggests: gtkmm-documentation
Description: C++ Wrapper for pango (documentation)
 Pangomm is a C++ wrapper for the pango library. Originally part of
 gtkmm, pangomm provides convenient C++ interfaces for handling both
 the layout and internationalization of text in graphical applications.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --buildsystem=meson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dbuild-documentation=true \
		-Dmaintainer-mode=true \
		-Dwarnings=max

# Don't compress doxygen tag files
override_dh_compress:
	dh_compress -X.tag

## pangomm2.48 2.52.0

=== debian/changelog ===
pangomm2.48 (2.52.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:44:10 +0000

pangomm2.48 (2.52.0-1) unstable; urgency=medium

  * New upstream release
  * Set minimum pango to 1.52.0
  * debian/*symbols: Add new symbols
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Mar 2024 16:59:24 -0400

pangomm2.48 (2.50.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * debian/*docs: AUTHORS is no longer provided
  * Update standards version to 4.6.2, no changes needed

  [ Jarred Wilson ]
  * Add upstream metadata

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Mar 2024 13:51:23 -0400

pangomm2.48 (2.50.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063203

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 19:21:03 +0000

pangomm2.48 (2.50.1-5) unstable; urgency=medium

  * Mark symbols as present on armel

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jun 2023 15:20:15 -0400

pangomm2.48 (2.50.1-4) unstable; urgency=medium

  * Update symbols based on build logs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jun 2023 14:43:05 -0400

pangomm2.48 (2.50.1-3) unstable; urgency=medium

  * Team upload

  [ Nathan Pratta Teodosio ]
  * Add a superficial test.

  [ Jeremy Bicha ]
  * debian/rules: Opt into LTO (to minimize symbols diff with Ubuntu)
  * Add symbols file

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 01 Jun 2023 12:41:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: pangomm2.48
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
                doxygen,
                graphviz,
                libcairomm-1.16-dev,
                libglibmm-2.68-dev,
-               libpango1.0-dev (>= 1.49.4),
+               libpango1.0-dev (>= 1.52.0),
                libxml-parser-perl,
                meson (>= 0.55.0),
                mm-common (>= 0.9.8),
                xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/pangomm2.48
 Vcs-Git: https://salsa.debian.org/gnome-team/pangomm2.48.git
-Homepage: http://gtkmm.org
+Homepage: https://gtkmm.org
 
-Package: libpangomm-2.48-1
+Package: libpangomm-2.48-1t64
+Provides: ${t64:Provides}
+Replaces: libpangomm-2.48-1
+Breaks: libpangomm-2.48-1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -42,10 +41,10 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpangomm-2.48-1 (= ${binary:Version}),
+         libpangomm-2.48-1t64 (= ${binary:Version}),
          libcairomm-1.16-dev,
          libglibmm-2.68-dev,
-         libpango1.0-dev (>= 1.49.4)
+         libpango1.0-dev (>= 1.52.0)
 Description: C++ Wrapper for pango (development files)
  Pangomm is a C++ wrapper for the pango library. Originally part of
  gtkmm, pangomm provides convenient C++ interfaces for handling both

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 %:
 	dh $@ --buildsystem=meson --without autoreconf

## pangomm2.48 2.54.0

=== debian/changelog ===
pangomm2.48 (2.54.0-1) unstable; urgency=medium

  * New upstream release
  * Set minimum pango to 1.54.0
  * debian/libpangomm-2.48-1t64.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Jul 2024 13:41:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: pangomm2.48
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                doxygen,
                graphviz,
                libcairomm-1.16-dev,
                libglibmm-2.68-dev,
-               libpango1.0-dev (>= 1.52.0),
+               libpango1.0-dev (>= 1.54.0),
                libxml-parser-perl,
                meson (>= 0.55.0),
                mm-common (>= 0.9.8),
@@ -44,7 +43,7 @@
          libpangomm-2.48-1t64 (= ${binary:Version}),
          libcairomm-1.16-dev,
          libglibmm-2.68-dev,
-         libpango1.0-dev (>= 1.52.0)
+         libpango1.0-dev (>= 1.54.0)
 Description: C++ Wrapper for pango (development files)
  Pangomm is a C++ wrapper for the pango library. Originally part of
  gtkmm, pangomm provides convenient C++ interfaces for handling both

## pangomm2.48 2.56.1

=== debian/changelog ===
pangomm2.48 (2.56.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libpangomm-2.48-1t64.symbols: Add new symbols
  * Bump minimum pango to 1.56.0
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Jan 2025 16:37:17 -0500

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                graphviz,
                libcairomm-1.16-dev,
                libglibmm-2.68-dev,
-               libpango1.0-dev (>= 1.54.0),
+               libpango1.0-dev (>= 1.56.0),
                libxml-parser-perl,
                meson (>= 0.55.0),
                mm-common (>= 0.9.8),
                xsltproc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/pangomm2.48
 Vcs-Git: https://salsa.debian.org/gnome-team/pangomm2.48.git
@@ -43,7 +43,7 @@
          libpangomm-2.48-1t64 (= ${binary:Version}),
          libcairomm-1.16-dev,
          libglibmm-2.68-dev,
-         libpango1.0-dev (>= 1.54.0)
+         libpango1.0-dev (>= 1.56.0)
 Description: C++ Wrapper for pango (development files)
  Pangomm is a C++ wrapper for the pango library. Originally part of
  gtkmm, pangomm provides convenient C++ interfaces for handling both

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: g++, libpangomm-2.48-dev

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/pangomm/cache.json \
	[\d.]+[02468]/pangomm-([\d.]+)@ARCHIVE_EXT@
